WebSphereNamedEndpoint (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereNamedEndpoint interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereNamedEndpoint

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  WebSphereHTTPTransport

    public interface WebSphereNamedEndpoint

extends LogicalElement

A WebSphere Named Endpoint

Naming Rules:
  0="name,bindAddress"
Persistable:
  true
Table Name:
  WASNE
Display Name:
  name,bindAddress

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`BindAddress` | `getBindAddress()`
`java.lang.String` | `getHostName()`
`java.lang.String` | `getName()`
`boolean` | `hasBindAddress()`
`boolean` | `hasHostName()`
`boolean` | `hasName()`
`void` | `setBindAddress(BindAddress ba)`
`void` | `setHostName(java.lang.String host)`
`void` | `setName(java.lang.String name)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getBindAddress

    BindAddress getBindAddress()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setBindAddress

    void setBindAddress(BindAddress ba)

### hasBindAddress

    boolean hasBindAddress()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getHostName

    java.lang.String getHostName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setHostName

    void setHostName(java.lang.String host)

### hasHostName

    boolean hasHostName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD